Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.axiom.units
Interface UnitPrice

All Superinterfaces
  Belonging, BusinessSmartComponent, Cloneable, Comparable, Serializable

All Known Implementing Classes:
  UnitPriceImpl

Deprecated

    @Deprecated
    public interface UnitPrice

extends Belonging

Combines a unit and a price to provide a mechanism for recording pricing and pricing strategies. It also provides features for converting prices between units. Attribute: price The price component of the UnitPrice.

- Containment: By Value
- Multiplicity: 1:1

Attribute: unit The unit component of the UnitPrice.

- Containment: By Value
- Multiplicity: 1:1

See Also
  `UnitPriceHome`, `UnitPriceImpl`

Method Summary
`UnitPrice` | `convert(Unit newUnit)` Deprecated Return a new UnitPrice that maintains the Price/Unit ratio with the newly specified unit.
`void` | `convertInPlace(Unit newUnit)` Deprecated Translate the UnitPrice into the new Units maintaining the Price/Unit ratio.
`Price` | `getPrice()` Deprecated Get the value of price
`Unit` | `getUnit()` Deprecated Get the value of unit
`void` | `setPrice(Price price)` Deprecated Set the value of price
`void` | `setUnit(Unit unit)` Deprecated Set the value of unit

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals, interfaceName, setByValue, value`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getPrice

    Price getPrice()

  Deprecated
  Get the value of price

  Returns
    price.

### setPrice

    void setPrice(Price price)

  Deprecated
  Set the value of price

  Parameters
    `price` - price to be added

### getUnit

    Unit getUnit()

  Deprecated
  Get the value of unit

  Returns
    unit.

### setUnit

    void setUnit(Unit unit)

  Deprecated
  Set the value of unit

  Parameters
    `unit` - unit to be added

### convert

    UnitPrice convert(Unit newUnit)
                      throws InvalidUnitException

  Deprecated
  Return a new UnitPrice that maintains the Price/Unit ratio with the newly specified unit.

  Throws
    `InvalidUnitException`

### convertInPlace

    void convertInPlace(Unit newUnit)
                        throws InvalidUnitException

  Deprecated
  Translate the UnitPrice into the new Units maintaining the Price/Unit ratio.

  Throws
    `InvalidUnitException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.